> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch adminsettingim

> Update the IM integration configuration

Required token scopes: `instance|update`



## OpenAPI

````yaml /swagger.json patch /admin/setting/im
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /admin/setting/im:
    patch:
      tags:
        - admin
      description: |-
        Update the IM integration configuration

        Required token scopes: `instance|update`
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                telegram:
                  type: object
                  nullable: true
                  properties:
                    botToken:
                      type: string
                    botUsername:
                      type: string
                  required:
                    - botToken
                    - botUsername
                feishu:
                  type: object
                  nullable: true
                  properties:
                    appId:
                      type: string
                    appSecret:
                      type: string
                    botName:
                      type: string
                  required:
                    - appId
                    - appSecret
                slack:
                  type: object
                  nullable: true
                  properties:
                    clientId:
                      type: string
                    clientSecret:
                      type: string
                    signingSecret:
                      type: string
                    botName:
                      type: string
                  required:
                    - clientId
                    - clientSecret
                    - signingSecret
      responses:
        '200':
          description: Update IM configuration successfully.
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request PATCH \
              --url https://app.teable.ai/api/admin/setting/im \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"telegram":{"botToken":"string","botUsername":"string"},"feishu":{"appId":"string","appSecret":"string","botName":"string"},"slack":{"clientId":"string","clientSecret":"string","signingSecret":"string","botName":"string"}}'
        - lang: JavaScript
          source: |-
            const url = 'https://app.teable.ai/api/admin/setting/im';
            const options = {
              method: 'PATCH',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"telegram":{"botToken":"string","botUsername":"string"},"feishu":{"appId":"string","appSecret":"string","botName":"string"},"slack":{"clientId":"string","clientSecret":"string","signingSecret":"string","botName":"string"}}'
            };

            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'PATCH',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/setting/im',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify({
              telegram: {botToken: 'string', botUsername: 'string'},
              feishu: {appId: 'string', appSecret: 'string', botName: 'string'},
              slack: {
                clientId: 'string',
                clientSecret: 'string',
                signingSecret: 'string',
                botName: 'string'
              }
            }));
            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload =
            "{\"telegram\":{\"botToken\":\"string\",\"botUsername\":\"string\"},\"feishu\":{\"appId\":\"string\",\"appSecret\":\"string\",\"botName\":\"string\"},\"slack\":{\"clientId\":\"string\",\"clientSecret\":\"string\",\"signingSecret\":\"string\",\"botName\":\"string\"}}"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("PATCH", "/api/admin/setting/im", payload, headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````